
 -- ============================================================
-- Table: DES_COMENTAPROCESSO
-- Descrição: Cria nova coluna do tipo CLOB e remove a antiga
-- ============================================================
ALTER TABLE SA_DES_COMENTAPROCESSO RENAME COLUMN DSCOMENTARIO TO DSCOMENTARIO_OLD; 
ALTER TABLE SA_DES_COMENTAPROCESSO ADD (DSCOMENTARIO CLOB);

ALTER TABLE SA_DES_COMENTAPROCESSO
ADD DSENTPSICOLOGICA CLOB;

ALTER TABLE SA_DES_COMENTAPROCESSO
ADD DSRESULTESTES CLOB;

CREATE OR REPLACE VIEW DES_COMENTAPROCESSO AS
      SELECT *
      FROM SA_DES_COMENTAPROCESSO
      WHERE ((NRORG  = SYS_CONTEXT('nrorg_ctx', 'nrorg'))
      OR (9999999999 = SYS_CONTEXT('nrorg_ctx', 'nrorg'))
      OR (0          = NRORG)
      OR (1          = NRORG));
/

UPDATE DES_COMENTAPROCESSO SET DSCOMENTARIO = DSCOMENTARIO_OLD;
COMMIT;
/

ALTER TABLE SA_DES_COMENTAPROCESSO DROP COLUMN DSCOMENTARIO_OLD;
CREATE OR REPLACE VIEW DES_COMENTAPROCESSO AS
      SELECT *
      FROM SA_DES_COMENTAPROCESSO
      WHERE ((NRORG  = SYS_CONTEXT('nrorg_ctx', 'nrorg'))
      OR (9999999999 = SYS_CONTEXT('nrorg_ctx', 'nrorg'))
      OR (0          = NRORG)
      OR (1          = NRORG));